.nav {
	top: 0;
	left: 0;
	bottom: 0;
	width: 100%;
	z-index: 2000;
	position: fixed;
	background: $black;
	margin-left: -100%;
	transition: .3s;
	overflow-y: auto;

	&.open {
		margin-left: 0;
		transition: .3s;

		.nav__close {
			position: absolute;
		}
	}

	.container {
		height: 100%;
		position: relative;
	}

	&__wrap {
		height: 100%;
		display: flex;
		position: relative;
		flex-direction: column;
	}

	&__close {
		top: 20px;
		right: 20px;
		width: 30px;
		height: 30px;
		z-index: 100;
		cursor: pointer;
		position: absolute;

		&:after,
		&:before {
			top: calc(50% - 1px);
			left: calc(50% - 18px);
			content: '';
			width: 36px;
			height: 2px;
			background: $white;
			position: absolute;
		}

		&:after {
			transform: rotate(45deg);
		}

		&:before {
			transform: rotate(-45deg);
		}
	}

	&__main {
		margin: auto 0;
		padding: 30px 0;
	}

	&__menu {
		margin-bottom: 40px;
		padding-right: 60px;
		font-size: font-size-rel(24px);
		line-height: font-size-rel(30px);

		ul {
			margin: 0;
			padding: 0;
			list-style: none;

			li {
				padding: 10px 0;

				a {
					left: 0;
					color: $white;
					font-weight: 700;
					position: relative;
					display: inline-block;
					text-decoration: none;
					transition: .3s;

					&:before {
						content: '';
						top: -10px;
						left: -20px;
						width: 20px;
						height: 20px;
						opacity: 0;
						visibility: hidden;
						position: absolute;
						background: url("../img/nav__hover.svg") 50% 50%;
						background-size: cover;
						transition: .3s;
					}

					&:hover {
						color: $white;
						transition: .3s;
						left: 20px;

						&:before {
							opacity: 1;
							visibility: visible;
							transition: .3s;
						}
					}
				}
			}
		}
	}

	&__contact {

		&--group {
			margin-bottom: 40px;
		}

		&--title {
			color: $white;
			opacity: 0.6;
			margin-bottom: 20px;
			font-size: font-size-rel(16px);
			line-height: font-size-rel(20px);
		}

		&--social {
			margin: 0;
			padding: 0;
			font-size: 0;
			line-height: 0;
			list-style: none;
			align-items: center;
			display: flex;

			li {
				margin-right: 20px;

				&:last-child {
					margin-right: 0;
				}

				a {
					color: $white;
					font-weight: 700;
					text-decoration: none;
					display: inline-block;

					i {
						font-size: 0;
						line-height: 0;
						height: 20px;
						display: inline-block;
					}

					span {
						display: none;
					}

					svg {
						fill: $white;
					}

					&:hover {
						color: $white;
						text-decoration: none;

						svg {
							fill: $white;
						}
					}
				}
			}
		}

		&--content {
			margin: 0;
			padding: 0;
			font-size: font-size-rel(18px);
			line-height: font-size-rel(20px);
			list-style: none;

			li {
				margin-bottom: 20px;

				&:last-child {
					margin-bottom: 0;
				}

				a {
					color: $white;
					font-weight: 700;
					text-decoration: none;
					display: inline-block;

					&:hover {
						color: $white;
						text-decoration: none;

						svg {
							fill: $white;
						}
					}
				}
			}
		}

		&--link {
			color: $white;
			position: relative;
			text-decoration: none;
			display: inline-block;

			&:before {
				left: calc(100% + 30px);
				top: 50%;
				content: '';
				height: 1px;
				width: 160px;
				display: block;
				background: $red;
				position: absolute;
			}

			&:hover {
				color: $white;
				text-decoration: none;
			}
		}
	}

	&__logo {
		left: 20px;
		top: 25px;
		z-index: 50;
		font-size: 0;
		line-height: 0;
		display: none;
		width: 70px;
		position: absolute;

		svg {
			fill: $white;
		}
	}

	@media (min-width: 576px ) {

		&__logo {
			display: none;
		}
	}

	@media (min-width: $screen-sm-min) {

		&__main {
			display: flex;
			align-items: center;
			justify-content: space-between;
		}

		&__contact {
			order: 1;

			&--group {
				margin-bottom: 60px;
			}

			&--social {
				display: block;
				font-size: font-size-rel(18px);
				line-height: 120%;

				li {
					margin: 0 0 20px 0;

					&:last-child {
						margin-bottom: 0;
					}

					a {
						i {
							display: none;
						}

						span {
							display: inline-block;
						}
					}
				}
			}
		}

		&__menu {
			font-size: font-size-rel(40px);
			line-height: font-size-rel(50px);
			order: 2;

			ul {

				li {
					margin: 15px 0;

					a {

						&:before {
							top: -30px;
							left: -40px;
							width: 40px;
							height: 40px;
						}

						&:hover {
							left: -30px;
							color: $black;
							text-shadow: 1px 0 1px $white,
							0 1px 1px $white,
							-1px 0 1px $white,
							0 -1px 1px $white;
						}
					}
				}
			}
		}

		&__contact {
			display: block;

		}

		&__logo {
			top: 20px;
			width: 120px;
			display: block;
		}
	}

	@media (min-width: $screen-md-min) {

		&__wrap {
			margin: 0 auto;
			max-width: 900px;
		}

		&__menu {
			padding: 0;

			ul {

				li {

					a {
						left: 0;
						padding-right: 0;
						transition: .3s;
						position: relative;

						&:before {
							opacity: 0;
							visibility: hidden;
							content: '';
							width: 40px;
							height: 40px;
							top: -20px;
							left: -40px;
							;position: absolute;
							background: url('../img/nav__hover.svg') 50% 50% no-repeat;
							transition: .3s;
						}

						&:hover {
							left: 0;
							padding-right: 60px;
							margin-left: -60px;
							transition: .3s;

							&:before {
								opacity: 1;
								visibility: visible;
								transition: .3s;
							}
						}
					}
				}
			}
		}

		&__close {
			top: 40px;
		}
	}

	@media (min-width: $screen-lg-min) {

	}

	@media (min-width: $screen-xl-min) {

	}
}